Comments
Manage comments and replies on submissions
Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: The comments of the submission, most recent last.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
GET /{app_short}/submissions/{submission_id}/comments HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"comments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"submission_id": "123e4567-e89b-12d3-a456-426614174000",
"parent_id": "123e4567-e89b-12d3-a456-426614174000",
"user": {
"id": 1,
"full_name": "text"
},
"client_created_at": 1,
"client_updated_at": 1,
"replies_count": 1
}
]
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Set it to reply to an existing comment.
The comment has been created.
A comment posted on a submission, or a reply to another comment.
Identifier of the comment being replied to. Absent on a top-level comment.
Creation timestamp, as sent by the client.
Last update timestamp, as sent by the client.
Number of replies to this comment. Only present when listing the comments of a submission, not on other operations returning a comment.
The request body is not valid JSON.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
POST /{app_short}/submissions/{submission_id}/comments HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"message": "text",
"parent_id": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"submission_id": "123e4567-e89b-12d3-a456-426614174000",
"parent_id": "123e4567-e89b-12d3-a456-426614174000",
"user": {
"id": 1,
"full_name": "text"
},
"client_created_at": 1,
"client_updated_at": 1,
"replies_count": 1
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: The replies to the comment.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
GET /{app_short}/submissions/{submission_id}/comments/{comment_id}/replies HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"comments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"submission_id": "123e4567-e89b-12d3-a456-426614174000",
"parent_id": "123e4567-e89b-12d3-a456-426614174000",
"user": {
"id": 1,
"full_name": "text"
},
"client_created_at": 1,
"client_updated_at": 1,
"replies_count": 1
}
]
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: The comments of the requested submissions. Empty when no identifier is sent.
Too many submission identifiers, or the body is not valid JSON.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
POST /{app_short}/submissions/comments/byids HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"submission_ids": [
{
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]
}{
"comments": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"submission_id": "123e4567-e89b-12d3-a456-426614174000",
"parent_id": "123e4567-e89b-12d3-a456-426614174000",
"user": {
"id": 1,
"full_name": "text"
},
"client_created_at": 1,
"client_updated_at": 1,
"replies_count": 1
}
]
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Number of comments on the submission.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
GET /{app_short}/submissions/{submission_id}/comments/count HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"count": 1
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Set it to reply to an existing comment.
The updated comment.
A comment posted on a submission, or a reply to another comment.
Identifier of the comment being replied to. Absent on a top-level comment.
Creation timestamp, as sent by the client.
Last update timestamp, as sent by the client.
Number of replies to this comment. Only present when listing the comments of a submission, not on other operations returning a comment.
The request body is not valid JSON.
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
PUT /{app_short}/submissions/{submission_id}/comments/{comment_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"message": "text",
"parent_id": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"submission_id": "123e4567-e89b-12d3-a456-426614174000",
"parent_id": "123e4567-e89b-12d3-a456-426614174000",
"user": {
"id": 1,
"full_name": "text"
},
"client_created_at": 1,
"client_updated_at": 1,
"replies_count": 1
}Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: The comment has been deleted.
No content
Missing or invalid access token.
The user has no read access to this submission.
The comments feature is disabled on this workspace, or the submission does not exist.
DELETE /{app_short}/submissions/{submission_id}/comments/{comment_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

